package com.example.employee.employee.model;
// Generated Nov 27, 2019 2:47:59 PM by Hibernate Tools 4.3.5.Final

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Kemampuan generated by hbm2java
 */
@Entity
@Table(name = "kemampuan", schema = "public")
public class Kemampuan implements java.io.Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;
	private int idKemampuan;
	private KategoriKemampuan kategoriKemampuan;
	private String namaKemampuan;
	private Set<ListKemampuan> listKemampuans = new HashSet<ListKemampuan>(0);

	public Kemampuan() {
	}

	public Kemampuan(int idKemampuan, String namaKemampuan) {
		this.idKemampuan = idKemampuan;
		this.namaKemampuan = namaKemampuan;
	}

	public Kemampuan(int idKemampuan, KategoriKemampuan kategoriKemampuan, String namaKemampuan,
			Set<ListKemampuan> listKemampuans) {
		this.idKemampuan = idKemampuan;
		this.kategoriKemampuan = kategoriKemampuan;
		this.namaKemampuan = namaKemampuan;
		this.listKemampuans = listKemampuans;
	}

	@Id

	@Column(name = "ID_KEMAMPUAN", unique = true, nullable = false)
	public int getIdKemampuan() {
		return this.idKemampuan;
	}

	public void setIdKemampuan(int idKemampuan) {
		this.idKemampuan = idKemampuan;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ID_KATEGORI")
	public KategoriKemampuan getKategoriKemampuan() {
		return this.kategoriKemampuan;
	}

	public void setKategoriKemampuan(KategoriKemampuan kategoriKemampuan) {
		this.kategoriKemampuan = kategoriKemampuan;
	}

	@Column(name = "NAMA_KEMAMPUAN", nullable = false, length = 128)
	public String getNamaKemampuan() {
		return this.namaKemampuan;
	}

	public void setNamaKemampuan(String namaKemampuan) {
		this.namaKemampuan = namaKemampuan;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "kemampuan")
	public Set<ListKemampuan> getListKemampuans() {
		return this.listKemampuans;
	}

	public void setListKemampuans(Set<ListKemampuan> listKemampuans) {
		this.listKemampuans = listKemampuans;
	}

}
